On Tue, Mar 13, 2018 at 12:56:00PM +0000, John Leach wrote:
> On Tue, 2018-03-06 at 12:47 -0300, Antonio Terceiro wrote:
> > debhelper compat mode 10 enables dh_autoreconf by default, so the
> > configure that is executed is not the same configure that comes
> > prebuilt
> > with the tarball. and AIUI --runstatedir is a standard autoconf flag,
> > so
> > it becomes available when we rebuild configure locally.
> > 
> > you seem to be doing some backporting, and downgrading the debhelper
> > compat level for some reason? Ubuntu artful does have debhelper >= 10
> ah ok, thanks for the clarification. I am indeed downgrading the
> debhelper, really just so I can build the same package on for several
> releases of Ubuntu without modifying the package recipes.

Right, that makes sense. In this case if you want to send a patch making
the --runstatedir part conditional on having debhelper >= 10, I will
happily take it.

Attachment: signature.asc
Description: PGP signature

Reply via email to